%global revision 328

Name:          rutgers-mobile-scripts
Version:       0.0.%{revision}
Release:       1%{?dist}
Summary:       PHP scripts that handle the Rutgers Mobile application's backend.
Group:         Applications/Daemons
License:       GNU
URL:           http://oss.rutgers.edu/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Source0:       rutgers-mobile-scripts-%version.tar.gz

BuildArch: noarch
BuildRequires: php

%description
These PHP scripts handle Rutgers Mobile backend which includes
Nextbus API, Dining Menus and more. These scripts are PHP'ized
and then daemonized with nohup/bash.

%prep
%setup -q -n scripts

%build
### Nothing to build, they are just PHP and BASH scripts

%install
rm -rf $RPM_BUILD_ROOT

### Making master directory
%{__install} -m 755 -d  %{buildroot}/usr/rumobile

### Installing the master init script properly
%{__install} -Dp -m0500 ru_mobile.init %{buildroot}/etc/init.d/rumobile
%{__install} -Dp -m0600 ru_mobile.default %{buildroot}/etc/default/rumobile

### Installing the tarball into our directory now
cp -R ./scripts %{buildroot}/usr/rumobile/scripts
cp -R ./daemons %{buildroot}/usr/rumobile/daemons
cp -R ./statics %{buildroot}/usr/rumobile/statics

### Setting permissions to the daemons correctly
chmod -R 755 %{buildroot}/usr/rumobile/daemons/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/etc/init.d/rumobile
/etc/default/rumobile
/usr/rumobile/scripts
/usr/rumobile/daemons
/usr/rumobile/statics

%changelog
* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.328-1.ru
- Config file checking, php-cgi to php replacements, rel dir.

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.322-1.ru
- Fixing directory creations, automic moves, permissions.

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.321-1.ru
- Fixing "sticky" permission bugs
- Bash script bugs fixed

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.316-1.ru
- Updating init file with /etc/default/rumobile
- Added in RUNAS, because running as root is bad
- Fixing permission issues

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.308-1.ru
- Updating init file

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.306-1.ru
- Fixing some bugs

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.305-1.ru
- seperating web and scripts package

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.303-1.ru
- Removing underscore by request
- bumping to latest svn rev

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.301-1.ru
- Fixing init script

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.298-1.ru
- Adding in static files

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.293-1.ru
- matching rpm with svn revision number
- moving install to /opt
- making it as a noarch package

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-3.ru
- fixing .spec file

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-2.ru
- Atomic move operations placed in PHP files
- Fixed bugs in daemonizers
- Deleted config.php
- Fixing .spec file to include /var/ru_mobile

* Tue Jul 27 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-1.ru
- First initial package of the Rutgers Mobile script backend.
